RMIServerImpl_Stub (Java SE 26 & JDK 26)
Description: declaration: module: java.management.rmi, package: javax.management.remote.rmi, class: RMIServerImpl_Stub
Keywords: javax.management.remote.rmi.RMIServerImpl_Stub class

# Class RMIServerImpl_Stub

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteStub
javax.management.remote.rmi.RMIServerImpl_Stub

All Implemented Interfaces:
  `Serializable, Remote, RMIServer`

public final class RMIServerImpl_Stub extends RemoteStub implements RMIServer
RMIServerImpl remote stub.

Since:
  1.5
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class RemoteObject

  `ref`
  Modifier and Type
  Field
  Description
  `protected RemoteRef`
  `ref`
  The object's remote reference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RMIServerImpl_Stub(RemoteRef ref)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getVersion()`
  The version of the RMI Connector Protocol understood by this connector server.
  `RMIConnection`
  `newClient(Object $param_Object_1)`
  Makes a new connection through this RMI connector.

  ### Methods declared in class RemoteStub

  `setRef`
  Modifier and Type
  Method
  Description
  `protected static void`
  `setRef(RemoteStub stub, RemoteRef ref)`
  Deprecated.
  No replacement.

  ### Methods declared in class RemoteObject

  `equals, getRef, hashCode, toString, toStub`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Compares two remote objects for equality.
  `RemoteRef`
  `getRef()`
  Returns the remote reference for the remote object.
  `int`
  `hashCode()`
  Returns a hashcode for a remote object.
  `String`
  `toString()`
  Returns a String that represents the value of this remote object.
  `static Remote`
  `toStub(Remote obj)`
  Returns the stub for the remote object `obj` passed as a parameter.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### RMIServerImpl_Stub

    public RMIServerImpl_Stub(RemoteRef ref)
    Constructor.
    Parameters:
      `ref` - a remote ref

- ## Method Details

  - ### getVersion

    public String getVersion() throws RemoteException
    Description copied from interface: `RMIServer`

    The version of the RMI Connector Protocol understood by this connector server. This is a string with the following format:

        protocol-version implementation-name

    The `protocol-version` is a series of two or more non-negative integers separated by periods (`.`). An implementation of the version described by this documentation must use the string `1.0` here.

    After the protocol version there must be a space, followed by the implementation name. The format of the implementation name is unspecified. It is recommended that it include an implementation version number. An implementation can use an empty string as its implementation name, for example for security reasons.

    Specified by:
      `getVersion` in interface `RMIServer`
    Returns:
      a string with the format described here.
    Throws:
      `RemoteException` - if there is a communication exception during the remote method call.

  - ### newClient

    public RMIConnection newClient(Object $param_Object_1) throws IOException
    Description copied from interface: `RMIServer`

    Makes a new connection through this RMI connector. Each remote client calls this method to obtain a new RMI object representing its connection.

    Specified by:
      `newClient` in interface `RMIServer`
    Parameters:
      `$param_Object_1` - this object specifies the user-defined credentials to be passed in to the server in order to authenticate the user before creating the `RMIConnection`. Can be null.
    Returns:
      the newly-created connection object.
    Throws:
      `IOException` - if the new client object cannot be created or exported, or if there is a communication exception during the remote method call.